﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography.X509Certificates;
using System.Text;
using System.Threading.Tasks;

namespace Library
{
    /// <summary>
    /// Klasse mit verschiedenen Information zum testen der serialisierbarkeit
    /// </summary>
    public class Information
    {
        public string Name { get; set; }
        public string Value { get; set; }

        public Guid UniqueId { get; private set; }

        public DateTime TimeStamp { get; private set; }

        public Information(string name, string value)
        {
            UniqueId = Guid.NewGuid();
            TimeStamp = DateTime.Now;
            Name = name;
            Value = value;
        }

        public override string ToString()
        {
            return string.Format("{0}: {1}, {2} {{{3}}}", Name, Value, TimeStamp, UniqueId);
        }
    }
}
